summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2018-05-08 11:28:57 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2018-05-08 11:55:29 -0500
commit65638d92e8f01a647d6f692e20ed16e5c70b6977 (patch)
treef12363689b544856ed9964b09d45d7b094ef98c5
parentdev-python/python-glanceclient: cleanup (diff)
downloadgentoo-65638d92e8f01a647d6f692e20ed16e5c70b6977.tar.gz
gentoo-65638d92e8f01a647d6f692e20ed16e5c70b6977.tar.bz2
gentoo-65638d92e8f01a647d6f692e20ed16e5c70b6977.zip
sys-cluster/heat: 10.0.1 bup
Package-Manager: Portage-2.3.27, Repoman-2.3.9
-rw-r--r--sys-cluster/heat/Manifest2
-rw-r--r--sys-cluster/heat/heat-10.0.1.ebuild163
2 files changed, 165 insertions, 0 deletions
diff --git a/sys-cluster/heat/Manifest b/sys-cluster/heat/Manifest
index f8ec8aa1957..ef719355eae 100644
--- a/sys-cluster/heat/Manifest
+++ b/sys-cluster/heat/Manifest
@@ -1,7 +1,9 @@
DIST heat-10.0.0.tar.gz 2349675 BLAKE2B 24968c117d19e69638dbddd6d25d34f05e1454f788187049f1f35a067e029afe141693f41b497031e2ebb039cea2475bcf13ad814a21844540d41f1a2e4260ef SHA512 43a5ab5330a830657cc5265875240d85d442404db1bb3ff7372acc28fc4b8f410414704a928765cf97eb550fa47d0bd228ad62efb098093552baba0f1e1305e9
+DIST heat-10.0.1.tar.gz 2353949 BLAKE2B 401cc24ebc2c5105666719a9d89a55116f4f8139dd7fb4a5b5e37f3da39240dfedb3b61b810f72750390e4f9dc0f8e6b69499c1b921f222064a610fd85cd8b84 SHA512 019df95a16f7d5f89a726248d33780ef4fa7fc2ff91b9a0a756548fa91993eb625097b9ab0dd232019669161ccf6fbf43132237d4666bf200f141173bbb07782
DIST heat-9.0.3.tar.gz 2364843 BLAKE2B 4edbd6716a84e6003cd02511e8c8036c84510bd4d842d9a32caae7c837bee591fb46d3edc8786d8015b8ffd09d4dde7bde4f49a6994766af40284715b2b99713 SHA512 5db5f0189da095951963d2cf30c7c3279e40537041a66b3d13cfebd13ba4256b74db49ba6269e14b2c4e21d10b7b00e77d5b94050e30c436dc271b406e4e9432
DIST heat-9.0.4.tar.gz 2365172 BLAKE2B 069ee142fc8f8dba7eb6cdd9386a4fa32db85cb9a2bc454da1e4290acfd17d364de34706a3199fb7b68b4a4ce1c24d1b8d7781b4d1b984e6171e78ff32335008 SHA512 fd75a7cd9e656c58e81d47292687024ba6b61cccdbeab3ce2472f05f238a944ef4dfa120b39b6f2285aa434b3386ea13d3ca07a48b70d1f53798384a344c53a2
DIST heat.conf.sample-10.0.0 92161 BLAKE2B 745cdb4eb6006079201cfe31b6486a5d759a93d1deceb42c3e9c5224b9512437013a5f44eb0f81694949efad648559a1b4e436992a91986206e50b65c69a09b8 SHA512 44b9f0e5779a21afc73a2720181ffaf778d5e54f61db7b177b59a777985c6155dac1d6b535eed311be372236f4d39d0601a8814c5ad7aa0c48acf3771bf65120
+DIST heat.conf.sample-10.0.1 92161 BLAKE2B 745cdb4eb6006079201cfe31b6486a5d759a93d1deceb42c3e9c5224b9512437013a5f44eb0f81694949efad648559a1b4e436992a91986206e50b65c69a09b8 SHA512 44b9f0e5779a21afc73a2720181ffaf778d5e54f61db7b177b59a777985c6155dac1d6b535eed311be372236f4d39d0601a8814c5ad7aa0c48acf3771bf65120
DIST heat.conf.sample-2017.2.9999 88901 BLAKE2B 050cfaacb46a8d9b79a17b7406acf6bca9be27a21f8278194021cadc69fb364c630ca0f0e7a320dfe9d46303d779eb8b5c31efaa9c25d3695caf70cab18b1b4d SHA512 f62feaa4a0d27866876aed9f78099501247ae4b7deaefd04d77b1f4b2a1d1c991e6f3e68d9f82e3b6a4358c99fbffd90f14a05ff98105df0ef0db68ef8bc6932
DIST heat.conf.sample-2018.1.9999 92161 BLAKE2B 745cdb4eb6006079201cfe31b6486a5d759a93d1deceb42c3e9c5224b9512437013a5f44eb0f81694949efad648559a1b4e436992a91986206e50b65c69a09b8 SHA512 44b9f0e5779a21afc73a2720181ffaf778d5e54f61db7b177b59a777985c6155dac1d6b535eed311be372236f4d39d0601a8814c5ad7aa0c48acf3771bf65120
DIST heat.conf.sample-9.0.3 88901 BLAKE2B 050cfaacb46a8d9b79a17b7406acf6bca9be27a21f8278194021cadc69fb364c630ca0f0e7a320dfe9d46303d779eb8b5c31efaa9c25d3695caf70cab18b1b4d SHA512 f62feaa4a0d27866876aed9f78099501247ae4b7deaefd04d77b1f4b2a1d1c991e6f3e68d9f82e3b6a4358c99fbffd90f14a05ff98105df0ef0db68ef8bc6932
diff --git a/sys-cluster/heat/heat-10.0.1.ebuild b/sys-cluster/heat/heat-10.0.1.ebuild
new file mode 100644
index 00000000000..c3a89383e2c
--- /dev/null
+++ b/sys-cluster/heat/heat-10.0.1.ebuild
@@ -0,0 +1,163 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit distutils-r1 eutils linux-info user
+
+DESCRIPTION="A CloudFormation-compatible openstack-native cloud orchestration engine."
+HOMEPAGE="https://launchpad.net/heat"
+
+if [[ ${PV} == *9999 ]];then
+ inherit git-r3
+ SRC_URI="https://dev.gentoo.org/~prometheanfire/dist/openstack/heat/heat.conf.sample.queens -> heat.conf.sample-${PV}"
+ EGIT_REPO_URI="https://github.com/openstack/heat.git"
+ EGIT_BRANCH="stable/queens"
+else
+ SRC_URI="https://dev.gentoo.org/~prometheanfire/dist/openstack/heat/heat.conf.sample.queens -> heat.conf.sample-${PV}
+ https://tarballs.openstack.org/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="+mysql +memcached postgres sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/pbr-2.1.0"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ app-admin/sudo"
+
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
+ !~dev-python/Babel-2.4.0[${PYTHON_USEDEP}]
+ >=dev-python/croniter-0.3.4[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-1.9.0[${PYTHON_USEDEP}]
+ !~dev-python/cryptography-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/eventlet-0.18.4[${PYTHON_USEDEP}]
+ !~dev-python/eventlet-0.20.1[${PYTHON_USEDEP}]
+ <dev-python/eventlet-0.21.0[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/keystonemiddleware-4.17.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-3.4.1[${PYTHON_USEDEP}]
+ !~dev-python/lxml-3.7.0[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+ >=dev-python/openstacksdk-0.9.19[${PYTHON_USEDEP}]
+ >=dev-python/oslo-cache-1.26.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-concurrency-3.25.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-context-2.19.2[${PYTHON_USEDEP}]
+ >=dev-python/oslo-db-4.27.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-messaging-5.29.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-middleware-3.31.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-policy-1.30.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-reports-1.18.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-2.18.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-serialization-2.19.1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-service-1.24.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-service-1.28.1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/osprofiler-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-versionedobjects-1.31.2[${PYTHON_USEDEP}]
+ >=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/aodhclient-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/python-barbicanclient-4.0.0[${PYTHON_USEDEP}]
+ !~dev-python/python-barbicanclient-4.5.0[${PYTHON_USEDEP}]
+ !~dev-python/python-barbicanclient-4.5.1[${PYTHON_USEDEP}]
+ >=dev-python/python-ceilometerclient-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/python-cinderclient-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/python-designateclient-2.7.0[${PYTHON_USEDEP}]
+ >=dev-python/python-glanceclient-2.8.0[${PYTHON_USEDEP}]
+ >=dev-python/python-heatclient-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-3.8.0[${PYTHON_USEDEP}]
+ >=dev-python/python-magnumclient-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/python-manilaclient-1.16.0[${PYTHON_USEDEP}]
+ >=dev-python/python-mistralclient-3.1.0[${PYTHON_USEDEP}]
+ !~dev-python/python-mistralclient-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/python-monascaclient-1.7.0[${PYTHON_USEDEP}]
+ >=dev-python/python-neutronclient-6.3.0[${PYTHON_USEDEP}]
+ >=dev-python/python-novaclient-9.1.0[${PYTHON_USEDEP}]
+ >=dev-python/python-octaviaclient-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/python-openstackclient-3.12.0[${PYTHON_USEDEP}]
+ >=dev-python/python-saharaclient-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/python-swiftclient-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/python-troveclient-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/python-zaqarclient-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/python-zunclient-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.10.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ >=dev-python/tenacity-3.2.1[${PYTHON_USEDEP}]
+ >=dev-python/routes-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+ sqlite? (
+ >=dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
+ !~dev-python/sqlalchemy-1.1.5[sqlite,${PYTHON_USEDEP}]
+ !~dev-python/sqlalchemy-1.1.6[sqlite,${PYTHON_USEDEP}]
+ !~dev-python/sqlalchemy-1.1.7[sqlite,${PYTHON_USEDEP}]
+ !~dev-python/sqlalchemy-1.1.8[sqlite,${PYTHON_USEDEP}]
+ )
+ mysql? (
+ >=dev-python/pymysql-0.7.6[${PYTHON_USEDEP}]
+ !~dev-python/pymysql-0.7.7[${PYTHON_USEDEP}]
+ >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
+ !~dev-python/sqlalchemy-1.1.5[${PYTHON_USEDEP}]
+ !~dev-python/sqlalchemy-1.1.6[${PYTHON_USEDEP}]
+ !~dev-python/sqlalchemy-1.1.7[${PYTHON_USEDEP}]
+ !~dev-python/sqlalchemy-1.1.8[${PYTHON_USEDEP}]
+ )
+ postgres? (
+ >=dev-python/psycopg-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
+ !~dev-python/sqlalchemy-1.1.5[${PYTHON_USEDEP}]
+ !~dev-python/sqlalchemy-1.1.6[${PYTHON_USEDEP}]
+ !~dev-python/sqlalchemy-1.1.7[${PYTHON_USEDEP}]
+ !~dev-python/sqlalchemy-1.1.8[${PYTHON_USEDEP}]
+ )
+ >=dev-python/sqlalchemy-migrate-0.11.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/webob-1.7.1[${PYTHON_USEDEP}]
+ >=dev-python/yaql-1.1.3[${PYTHON_USEDEP}]"
+
+PATCHES=(
+)
+
+pkg_setup() {
+ enewgroup heat
+ enewuser heat -1 -1 /var/lib/heat heat
+}
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ diropts -m0750 -o heat -g heat
+ keepdir /etc/heat
+ dodir /etc/heat/environment.d
+ dodir /etc/heat/templates
+
+ for svc in api api-cfn engine; do
+ newinitd "${FILESDIR}/heat.initd" heat-${svc}
+ done
+
+ insinto /etc/heat
+ insopts -m0640 -o heat -g heat
+ newins "${DISTDIR}/heat.conf.sample-${PV}" "heat.conf.sample"
+ doins "etc/heat/api-paste.ini"
+ insinto /etc/heat/templates
+ doins "etc/heat/templates/"*
+ insinto /etc/heat/environment.d
+ doins "etc/heat/environment.d/default.yaml"
+
+ dodir /var/log/heat
+ fowners heat:heat /var/log/heat
+}